﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace SoftwareIDM.Uplift
{
    public class LogConfig : IConfig
    {
        public Dictionary<string, Log> Logs { get; set; }

        public string Name { get { return "Logging"; } }

        public void Set(XElement xml)
        {
            xml = xml.Element("Logging").Element("Logs");
            Logs = new Dictionary<string, Log>();
            foreach (var log in xml.Elements("add"))
            {
                Logs.Add(log.Attribute("name").Value, new Log(log));
            }
        }
    }

    public class Log
    {
        public string name { get; set; }
        public string table { get; set; }
        public string connectionString { get; set; }

        public Log(XElement xml)
        {
            name = xml.Attribute("name").Value;
            table = xml.Attribute("table").Value;
            connectionString = xml.Attribute("connectionString").Value;
        }
    }
}
