﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace SoftwareIDM.Uplift
{
    public class MailConfig : IConfig
    {
        public string Name { get { return "Mail"; } }

        public string connectionString { get; set; }
        public string table { get; set; }
        public Dictionary<string, MailTemplate> templates { get; set; }

        public void Set(XElement xml)
        {
            xml = xml.Element("Mail");
            connectionString = xml.Element("connectionString").Value;
            table = xml.Element("table").Value;
            templates = new Dictionary<string, MailTemplate>();
            foreach (var temp in xml.Element("MailTemplates").Elements("template"))
            {
                templates[temp.Attribute("name").Value] = new MailTemplate(temp);
            }
        }
    }

    public class MailTemplate
    {
        public string Name { get; set; }
        public string Subject { get; set; }
        public string Message { get; set; }

        public MailTemplate(XElement xml)
        {
            Name = xml.Attribute("name").Value;
            Subject = xml.Attribute("subject").Value;
            Message = xml.Value;
        }
    }
}
